#include "awidget.h"
#include "ui_awidget.h"

AWidget::AWidget(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::AWidget)
{
    ui->setupUi(this);

    initUI();
}

AWidget::~AWidget()
{
    delete ui;
}

void AWidget::initUI()
{
    ui->mMainHLayout->setStretch(0, 3);
    ui->mMainHLayout->setStretch(2, 1);
}

void AWidget::showHideParam()
{
    if(ui->mParamWidget->isVisible())
    {
        ui->mParamWidget->hide();
        ui->mHorizontalLine->hide();
    }
    else
    {
        ui->mParamWidget->show();
        ui->mHorizontalLine->show();
    }
}

